CREATE TABLE ar_bpa_page_setups_b (
    LAST_UPDATED_BY          VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)     NOT NULL,
    CREATION_DATE            TIMESTAMP(6)     NOT NULL,
    CREATED_BY               VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128),
    PAGE_WIDTH               NUMBER(15, 2)    NOT NULL,
    PAGE_HEIGHT              NUMBER(15, 2)    NOT NULL,
    TOP_MARGIN               NUMBER(15, 2)    NOT NULL,
    BOTTOM_MARGIN            NUMBER(15, 2)    NOT NULL,
    LEFT_MARGIN              NUMBER(15, 2)    NOT NULL,
    RIGHT_MARGIN             NUMBER(15, 2)    NOT NULL,
    PAGE_NUMBER_LOC          VARCHAR2(120)    NOT NULL,
    PAGE_SETUP_ID            NUMBER(18, 0),
    PAGE_UNIT_OF_MEASURE     VARCHAR2(120)    NOT NULL,
    SEEDED_FLAG              VARCHAR2(4)  ,
    PRINT_FONT_FAMILY        VARCHAR2(120)    NOT NULL,
    PRINT_FONT_SIZE          VARCHAR2(120)    NOT NULL,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)     NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)     NOT NULL,
    CREATION_DATE            TIMESTAMP(6)     NOT NULL,
    CREATED_BY               VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128),
    PAGE_WIDTH               NUMBER(15, 2)    NOT NULL,
    PAGE_HEIGHT              NUMBER(15, 2)    NOT NULL,
    TOP_MARGIN               NUMBER(15, 2)    NOT NULL,
    BOTTOM_MARGIN            NUMBER(15, 2)    NOT NULL,
    LEFT_MARGIN              NUMBER(15, 2)    NOT NULL,
    RIGHT_MARGIN             NUMBER(15, 2)    NOT NULL,
    PAGE_NUMBER_LOC          VARCHAR2(120)    NOT NULL,
    PAGE_SETUP_ID            NUMBER(18, 0),
    PAGE_UNIT_OF_MEASURE     VARCHAR2(120)    NOT NULL,
    SEEDED_FLAG              VARCHAR2(4)  ,
    PRINT_FONT_FAMILY        VARCHAR2(120)    NOT NULL,
    PRINT_FONT_SIZE          VARCHAR2(120)    NOT NULL,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)     NOT NULL,
    CONSTRAINT pk_ar_bpa_page_setups_b PRIMARY KEY (PAGE_SETUP_ID, PAGE_SETUP_ID)
);
